iphone 10.3.3 and os x 10.9.5 mavericks

Hello.

On mac Mavericks I use 1password version 4.4.3.
On my iphone I use version 3.7.1.
I just upgraded my iphone from system 9 to 10.3.3.
The iphone 1password app was telling me that the programm would stop functioning in ios 11.
Now it is not functioning in 10.3.3.
When I type the second password the app crashes.

My questions

  • Is the newest version of the 1password iphone app compatible with Mavericks 1password version 4.4.3? Can they sync over wifi?
  • Will the latest iphone 1password app accept the passwords of iphone app version 3.7.1, or will I lose al the passwords?

Friendly greetings


1Password Version: 4.4.3.
Extension Version: Not Provided
OS Version: 10.9.5 mavericks
Sync Type: wifi
Referrer: forum-search:iphone 10.3.3 and os x 10.9.5 mavericks

Comments

  • When typing the master password you see this typo/signes, they are different from before.

  • brentybrenty

    Team Member

    @Plons: Thanks for reaching out. I’m sorry for the confusion! Indeed, 1Password 3 was developed in 2009 and doesn't support recent iOS versions. It was discontinued years ago. That's why you're getting messages from both 1Password and iOS: 32-bit apps will not work at all on iOS 11.

    Will the latest iphone 1password app accept the passwords of iphone app version 3.7.1, or will I lose al the passwords?

    You can migrate your data. Just follow the steps in this guide to upgrade to the current version of 1Password, which fully supports the latest iOS:

    How to upgrade from 1Password 3 on your iPhone or iPad

    Mavericks is another issue as well though.

    Is the newest version of the 1password iphone app compatible with Mavericks 1password version 4.4.3? Can they sync over wifi?

    It's possible, but I'm not sure I'd count on that. They weren't designed or tested together. 1Password 4 was developed in 2012, and frankly it isn't a good option going forward. You can learn more details here:

    1Password 4 legacy support information

    But ultimately it will not work with major browsers going forward due to changes happening this year, and you won't be receiving browser and OS security updates either. The best thing would be to move to a current (or comparatively recent) OS so you can use 1Password 6, which is still under active development and supports the latest browsers, and will work with the latest versions on other platforms as well. I hope this helps. Be sure to let me know if you have any other questions!

  • Hello Brenty,

    Thanks for the quick answer.
    I can update my osx computer to el captain.
    Wich mac version is compatible with the latest iphone version?
    I did buy a few years ago 1password 5 for mac, but didn't download it.
    Is it possible to download 1password 5 for mac?

    friendly greetings

  • rudyrudy

    Team Member

    @Plons,

    The license from 1Password 4 is valid for 4, 5 and 6. Running El Capitan you'll definitely want to install 1Password 6. This will work well with 1Password 6 for iPhone.

    Rudy

This discussion has been closed.